## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate silver

Name:           rust-silver
Version:        2.0.1
Release:        %autorelease
Summary:        Cross-shell customizable powerline-like prompt with icons

License:        MIT
URL:            https://crates.io/crates/silver
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Automatically generated patch to strip foreign dependencies
Patch:          silver-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * relax clap and clap_derive dependencies from "=3.0.0-beta.2" to "3"
# * bump rust-ini from 0.15 to 0.17
# * bump sysinfo from 0.15 to 0.23
Patch:          silver-fix-metadata.diff
# * port to clap 3
Patch:          0001-port-to-clap-3.patch
# * port to sysinfo 0.23
Patch:          0002-port-to-sysinfo-0.23.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Cross-shell customizable powerline-like prompt with icons.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0 or MIT
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license license
%license LICENSE.dependencies
%doc readme.md
%{_bindir}/silver

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#1931700

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.0-20
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-18
- Rebuild for libgit2 1.3.x

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.1.0-17
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 27 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-15
- Bump to rust-ini 0.17.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 14:21:55 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-13
- Rebuild against libgit2 1.1.x

* Mon Dec 28 13:32:34 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-12
- Rebuild

* Mon Nov 23 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-11
- Bump to rust-ini 0.16.

* Tue Sep 29 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-10
- Port to rust-ini 0.15.

* Sun Aug 16 15:01:43 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-9
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 11:37:37 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-7
- Update users to 0.10

* Wed Apr 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-6
- Rebuild for libgit2 1.0.0

* Thu Mar 19 11:11:28 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.0-5
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 1.1.0-4
- Bump to git2 0.12
- Bump to hostname 0.3
- Bump to humantime 2

* Sun Feb 02 20:23:45 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-3
- Bump git2 to 0.11

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 12 08:25:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Sun Sep 01 20:42:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.8-1
- Update to 1.0.8

* Sun Jul 28 15:47:34 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.7-4
- Regenerate

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 1.0.7-2
- Bump git2 to 0.9

* Thu May 09 2019 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Fri Apr 26 20:18:32 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.5-1
- Initial package

